<?php

namespace Enwikuna\Enwikuna_Helper\Abstracts\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Singleton_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Abstracts\Interfaces
 */
interface Enwikuna_Helper_Singleton_Interface {

	/**
	 * @return $this
	 */
	public static function get_instance(): self;

	/**
	 * Cloning is forbidden
	 */
	public function __clone();

	/**
	 * Unserializing instances of this class is forbidden
	 */
	public function __wakeup();
}
