<?php

namespace Enwikuna\Enwikuna_Helper\Admin;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Abstracts\Enwikuna_Helper_Singleton_Abstract;
use Enwikuna\Enwikuna_Helper\Admin\Interfaces\Enwikuna_Helper_Admin_AJAX_Interface;

/**
 * Class Enwikuna_Helper_Admin_AJAX
 *
 * @package Enwikuna\Enwikuna_Helper\Admin
 */
class Enwikuna_Helper_Admin_AJAX extends Enwikuna_Helper_Singleton_Abstract implements Enwikuna_Helper_Admin_AJAX_Interface {

	/**
	 * Enwikuna_Helper_Admin_AJAX constructor
	 */
	public function __construct() {
		if ( is_admin() ) {
			$this->init_hooks();
		}
	}

	/**
	 * Init / set up hooks
	 */
	private function init_hooks(): void {
		add_action( 'wp_ajax_ewkh_dismiss_products_expiring_notice', array( $this, 'wp_ajax_ewkh_dismiss_products_expiring_notice_action' ) );
	}

	/**
	 * Hides the products expiring notice until it gets re-enabled
	 */
	public function wp_ajax_ewkh_dismiss_products_expiring_notice_action(): void {
		check_ajax_referer( 'enwikuna-helper-dismiss-products-expiring-notice', 'security' );

		ewkh_update_option( 'dismiss_products_expiring_notice', true );
	}
}
