<?php

namespace Enwikuna\Enwikuna_Helper\Admin;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Abstracts\Enwikuna_Helper_Singleton_Abstract;
use Enwikuna\Enwikuna_Helper\Admin\Interfaces\Enwikuna_Helper_Admin_Dashboard_Interface;
use Enwikuna\Enwikuna_Helper\Admin\Products\List_Tables\Enwikuna_Helper_Admin_Products_List_Table;
use Enwikuna\Enwikuna_Helper\Enwikuna_Helper;

/**
 * Class Enwikuna_Helper_Admin_Dashboard
 *
 * @package Enwikuna\Enwikuna_Helper\Admin
 */
class Enwikuna_Helper_Admin_Dashboard extends Enwikuna_Helper_Singleton_Abstract implements Enwikuna_Helper_Admin_Dashboard_Interface {

	/**
	 * Enwikuna_Helper_Admin_Dashboard constructor
	 */
	public function __construct() {
		if ( is_admin() ) {
			$this->init_hooks();
		}
	}

	/**
	 * Init / set up hooks
	 */
	private function init_hooks(): void {
		add_action( 'load-dashboard_page_enwikuna', array( $this, 'load_dashboard_page_enwikuna_action' ) );
	}

	/**
	 * Output the dashboard page
	 */
	public function output(): void {
		Enwikuna_Helper_Admin_Templates::get_instance()->get_admin_page( 'dashboard' );
	}

	/**
	 * Init new products table and assign to global
	 *
	 * @return void
	 */
	public function load_dashboard_page_enwikuna_action(): void {
		global $enwikuna_helper_admin_products_list_table;

		Enwikuna_Helper::get_instance()->update_registered_products_data();

		$enwikuna_helper_admin_products_list_table = new Enwikuna_Helper_Admin_Products_List_Table();
		$enwikuna_helper_admin_products_list_table->prepare_items();
	}
}
