<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Templates_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Interfaces
 */
interface Enwikuna_Helper_Admin_Templates_Interface {

	/**
	 * Enwikuna_Helper_Admin_Templates constructor
	 */
	public function __construct();

	/**
	 * Get an admin page
	 *
	 * @param string $page
	 * @param array $args
	 */
	public function get_admin_page( string $page, array $args = array() ): void;

	/**
	 * Get the admin setup wizard
	 *
	 * @param array $args
	 */
	public function get_admin_setup_wizard( array $args = array() ): void;

	/**
	 * Get an admin setup wizard view
	 *
	 * @param string $view
	 * @param array $args
	 */
	public function get_admin_setup_wizard_view( string $view, array $args = array() ): void;

	/**
	 * Get an admin support page
	 *
	 * @param string $page
	 * @param array $args
	 */
	public function get_admin_support_page( string $page, array $args = array() ): void;
}
