<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin
 */
interface Enwikuna_Helper_Admin_Interface {

	/**
	 * Enwikuna_Helper_Admin constructor
	 */
	public function __construct();

	/**
	 * Dashboard page actions
	 */
	public function ewkh_admin_page_action_enwikuna_action(): void;

	/**
	 * Pass plugins to API for update and changes
	 *
	 * @param false|object|array $result
	 * @param string $action
	 * @param object $args
	 *
	 * @return false|object|array
	 */
	public function filter_plugins_api( $result, string $action, object $args );

	/**
	 * Get all screen ids where Enwikuna Helper assets should be loaded
	 *
	 * @return array
	 */
	public function get_enwikuna_helper_admin_screen_ids(): array;

	/**
	 * Get all external screen ids where Enwikuna Helper assets should be loaded
	 *
	 * @return array
	 */
	public function get_enwikuna_helper_admin_external_screen_ids(): array;
}
