<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Support\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Support_Page_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Interfaces
 */
interface Enwikuna_Helper_Admin_Support_Page_Interface {

	/**
	 * Enwikuna_Helper_Admin_Support_Page constructor
	 */
	public function __construct();

	/**
	 * Get page id
	 *
	 * @return string
	 */
	public function get_id(): string;

	/**
	 * Get page label
	 *
	 * @return string
	 */
	public function get_label(): string;

	/**
	 * Add this page to the support tabs array
	 *
	 * @param array $pages
	 *
	 * @return array
	 */
	public function filter_ewkh_admin_support_tabs_array( array $pages ): array;

	/**
	 * Get page
	 *
	 * @return string
	 */
	public function get_page(): string;

	/**
	 * Output the support
	 */
	public function ewkh_admin_support_output_action(): void;
}
