<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Support\Modules\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Support_Debugger_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Support\Modules\Interfaces
 */
interface Enwikuna_Helper_Admin_Support_Debugger_Interface {

	/**
	 * Enwikuna_Helper_Admin_Support_Debugger constructor
	 */
	public function __construct();

	/**
	 * Get support
	 *
	 * @return string
	 */
	public function get_support(): string;

	/**
	 * Returns the debug log path and file
	 *
	 * @return array|false
	 */
	public function get_log();

	/**
	 * Enables the debug logging within the wp-config.php file
	 */
	public function enable_debugging(): void;

	/**
	 * Disables the debug logging within the wp-config.php file
	 */
	public function disable_debugging(): void;

	/**
	 * Deletes current debug log
	 */
	public function delete_debug_log(): void;

	/**
	 * Checks if auto insert/enable/disable of debugging is possible or not
	 *
	 * @return bool
	 */
	public function supports_auto_insert_enable_disable(): bool;
}
