<?php

namespace Enwikuna\Enwikuna_Helper\Admin\Support\Modules\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Admin_Support_Service_User_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Admin\Support\Modules\Interfaces
 */
interface Enwikuna_Helper_Admin_Support_Service_User_Interface {

	/**
	 * Enwikuna_Helper_Admin_Support_Service_User constructor
	 */
	public function __construct();

	/**
	 * Get support
	 *
	 * @return string
	 */
	public function get_support(): string;

	/**
	 * Enables a service user
	 */
	public function enable_service_user(): void;

	/**
	 * Disables a service user
	 *
	 * @param bool $verify_default_nonce
	 */
	public function disable_service_user( bool $verify_default_nonce = false ): void;
}
