<?php

namespace Enwikuna\Enwikuna_Helper\Data_Stores\Models;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Data_Stores\Models\Abstracts\Enwikuna_Helper_Data_Store_Model_Abstract;
use Enwikuna\Enwikuna_Helper\Data_Stores\Models\Interfaces\Enwikuna_Helper_Data_Store_Service_User_Model_Interface;
use stdClass;

/**
 * Class Enwikuna_Helper_Data_Store_Service_User_Model
 *
 * @package Enwikuna\Enwikuna_Helper\Data_Stores\Models
 */
class Enwikuna_Helper_Data_Store_Service_User_Model extends Enwikuna_Helper_Data_Store_Model_Abstract implements Enwikuna_Helper_Data_Store_Service_User_Model_Interface {

	/**
	 * Main ID / Primary key
	 *
	 * @var int
	 */
	protected int $id;

	/**
	 * The ID of the service user
	 *
	 * @var int
	 */
	protected int $service_user_id;

	/**
	 * The date when the service user got enabled
	 *
	 * @var string
	 */
	protected string $date_enabled;

	/**
	 * Enwikuna_Helper_Data_Store_Service_User_Model constructor
	 *
	 * @param stdClass|null $service_user
	 */
	public function __construct( ?stdClass $service_user = null ) {
		if ( ! $service_user instanceof stdClass ) {
			return;
		}

		$this->id              = $service_user->id;
		$this->service_user_id = $service_user->service_user_id;
		$this->date_enabled    = $service_user->date_enabled;
	}

	/**
	 * @return int
	 */
	public function get_id(): int {
		return $this->id;
	}

	/**
	 * @param int $id
	 */
	public function set_id( int $id ): void {
		$this->id = $id;
	}

	/**
	 * @return int
	 */
	public function get_service_user_id(): int {
		return $this->service_user_id;
	}

	/**
	 * @param int $service_user_id
	 */
	public function set_service_user_id( int $service_user_id ): void {
		$this->service_user_id = $service_user_id;
	}

	/**
	 * @return string
	 */
	public function get_date_enabled(): string {
		return $this->date_enabled;
	}

	/**
	 * @param string $date_enabled
	 */
	public function set_date_enabled( string $date_enabled ): void {
		$this->date_enabled = $date_enabled;
	}
}
