<?php

namespace Enwikuna\Enwikuna_Helper\Gateways\HTTP\Interfaces;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Gateways\HTTP\Enwikuna_Helper_Request;
use stdClass;
use WP_Error;

/**
 * Interface Enwikuna_Helper_Request_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Gateways\HTTP\Interfaces
 */
interface Enwikuna_Helper_Request_Interface {

	/**
	 * Enwikuna_Helper_Request constructor
	 */
	public function __construct();

	/**
	 * Sends a request to Enwikuna Agency license server
	 *
	 * @param string $action
	 * @param string $license_key
	 * @param array $args
	 *
	 * @return Enwikuna_Helper_Request
	 */
	public function request( string $action, string $license_key = '', array $args = array() ): Enwikuna_Helper_Request;

	/**
	 * Returns the response of the request
	 *
	 * @param string $type
	 *
	 * @return WP_Error|false|stdClass
	 */
	public function get_response( string $type = 'all' );
}
