<?php

namespace Enwikuna\Enwikuna_Helper\Interfaces;

defined( 'ABSPATH' ) || exit;

/**
 * Interface Enwikuna_Helper_Install_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Interfaces
 */
interface Enwikuna_Helper_Install_Interface {

	/**
	 * Enwikuna_Helper_Install constructor
	 */
	public function __construct();

	/**
	 * Install Enwikuna Helper
	 */
	public function install(): void;

	/**
	 * Check for plugin update -> install again to verify data
	 */
	public function admin_init_action(): void;

	/**
	 * Checks if all database tables are available
	 *
	 * @param bool $execute_db_table_creation
	 *
	 * @return array
	 */
	public function verify_db_tables( bool $execute_db_table_creation = false ): array;

	/**
	 * Add custom links to plugin description on the plugin screen
	 *
	 * @param array $links
	 * @param string $file
	 *
	 * @return array
	 */
	public function filter_plugin_row_meta( array $links, string $file ): array;

	/**
	 * Return a list of Enwikuna Helper tables
	 *
	 * @return array
	 */
	public function get_ewkh_tables(): array;
}
