<?php

namespace Enwikuna\Enwikuna_Helper\Interfaces;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Data_Stores\Models\Enwikuna_Helper_Data_Store_Service_User_Model;

/**
 * Interface Enwikuna_Helper_Service_User_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Interfaces
 */
interface Enwikuna_Helper_Service_User_Interface {

	/**
	 * Creates a new service user in the database
	 *
	 * @param array $service_user_data
	 *
	 * @return false|Enwikuna_Helper_Data_Store_Service_User_Model
	 */
	public function create( array $service_user_data );

	/**
	 * Find the first service user in the database
	 *
	 * @return Enwikuna_Helper_Data_Store_Service_User_Model|false
	 */
	public function find();

	/**
	 * Deletes a service user from the database
	 *
	 * @param array $where
	 *
	 * @return bool
	 */
	public function delete_by( array $where ): bool;
}
