<?php

namespace Enwikuna\Enwikuna_Helper\Interfaces;

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Abstracts\Enwikuna_Helper_Product_Abstract;

/**
 * Interface Enwikuna_Helper_Updater_Interface
 *
 * @package Enwikuna\Enwikuna_Helper\Interfaces
 */
interface Enwikuna_Helper_Updater_Interface {

	/**
	 * Enwikuna_Helper_Updater constructor
	 *
	 * @param Enwikuna_Helper_Product_Abstract $product
	 */
	public function __construct( Enwikuna_Helper_Product_Abstract $product );

	/**
	 * Check for product updates
	 *
	 * @param object $transient
	 *
	 * @return object
	 */
	public function filter_pre_set_site_transient_update_themes_plugins( object $transient ): object;

	/**
	 * Output upgrade message for the plugin
	 *
	 * @param array $plugin_data
	 * @param object $response
	 *
	 * @return void
	 */
	public function in_plugin_updater_message_action( array $plugin_data, object $response ): void;
}
