<?php

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Enwikuna_Helper_Service_User;

$service_user = Enwikuna_Helper_Service_User::get_instance()->find();

if ( $service_user ) {
	$action   = 'disable-service-user'; // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited
	$btn_text = esc_html__( 'Disable service user', 'enwikuna-helper' );
} else {
	$action   = 'enable-service-user'; // phpcs:ignore WordPress.WP.GlobalVariablesOverride.Prohibited
	$btn_text = esc_html__( 'Enable service user', 'enwikuna-helper' );
}

$enable_disable_service_user_url = wp_nonce_url(
	add_query_arg(
		array(
			'action' => $action,
		),
		admin_url( 'tools.php?page=enwikuna-support&tab=service-user' )
	),
	'enwikuna-helper-' . $action,
	'enwikuna-helper-' . $action . '-nonce'
);
?>
<p><?php echo wp_kses_post( __( 'When the service user is enabled, Enwikuna can log on to your site for problem analysis. Please perform a <strong>backup</strong> of your site before each enabling and disable the service user immediately after Enwikuna has performed the analysis / help. We are not responsible for errors that are not related to the plugin or the service user.', 'enwikuna-helper' ) ); ?></p>
<?php if ( $service_user ) { ?>
	<p><?php esc_html_e( 'The service user will be automatically disabled after two days.', 'enwikuna-helper' ); ?></p>
<?php } ?>
<p class="submit">
	<a href="<?php echo esc_url( $enable_disable_service_user_url ); ?>" class="button button-primary"><?php echo esc_html( $btn_text ); ?></a>
</p>
