<?php

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Enwikuna_Helper_Encryptor;

$is_configured = Enwikuna_Helper_Encryptor::get_instance()->is_configured();
$random_key    = Enwikuna_Helper_Encryptor::get_instance()->get_random_key( true );
?>
<div id="content-header" class="<?php echo $is_configured ? 'no-border' : ''; ?>">
	<h2 class="no-border"><?php esc_html_e( 'Encryptor', 'enwikuna-helper' ); ?></h2>
	<p class="headliner">
		<?php
		if ( $is_configured ) {
			esc_html_e( 'Perfect! The encryptor is already configured.', 'enwikuna-helper' );
		} elseif ( Enwikuna_Helper_Encryptor::get_instance()->supports_auto_insert_delete() ) {
			printf( wp_kses_post( __( 'Enwikuna Helper supports encrypting sensitive data e.g. license keys via an encryptor. Please paste the following line into your <a href="%s" target="_blank">wp-config.php</a> file or use the "Insert key" button to configure the encryptor.<br><br>Attention! If you loose your key, encrypted data can not be restored anymore.', 'enwikuna-helper' ) ), 'https://wordpress.org/support/article/editing-wp-config-php/' );
		} else {
			printf( wp_kses_post( __( 'Enwikuna Helper supports encrypting sensitive data e.g. license keys via an encryptor. Please paste the following line into your <a href="%s" target="_blank">wp-config.php</a> file to configure the encryptor.<br><br>Attention! If you loose your key, encrypted data can not be restored anymore.', 'enwikuna-helper' ) ), 'https://wordpress.org/support/article/editing-wp-config-php/' );
		}
		?>
	</p>
</div>
<?php if ( ! $is_configured ) { ?>
	<div id="content">
		<div class="input-container">
			<label for="enwikuna_helper_encryptor_key"><?php esc_html_e( 'Encryptor key', 'enwikuna-helper' ); ?></label>
			<input type="text" id="enwikuna_helper_encryptor_key" name="enwikuna_helper_encryptor_key" data-clipboard-target="#enwikuna_helper_encryptor_key"
				   value="<?php echo esc_attr( $random_key ); ?>" required readonly/>
		</div>
	</div>
<?php } ?>
