<?php

defined( 'ABSPATH' ) || exit;

use Enwikuna\Enwikuna_Helper\Admin\Enwikuna_Helper_Admin_Setup_Wizard;

$first_steps_list = Enwikuna_Helper_Admin_Setup_Wizard::get_instance()->get_first_steps_list();
?>
<div id="content-header">
	<h2 class="no-border"><?php esc_html_e( 'First steps', 'enwikuna-helper' ); ?></h2>
	<p class="headliner"><?php esc_html_e( 'Congratulations! You are ready to go.', 'enwikuna-helper' ); ?></p>
</div>
<div id="content">
	<h3><?php esc_html_e( 'Function overview', 'enwikuna-helper' ); ?></h3>
	<div id="first-steps-content-wrapper">
		<ul id="first-steps">
			<?php foreach ( $first_steps_list as $first_step ) { ?>
				<li>
					<a href="<?php echo esc_url( $first_step['url'] ); ?>" target="_blank">
						<i class="dashicons <?php echo esc_attr( $first_step['icon'] ); ?>"></i>
						<span><?php echo esc_html( $first_step['name'] ); ?></span>
					</a>
				</li>
			<?php } ?>
		</ul>
		<div id="first-steps-description">
			<p><?php echo wp_kses_post( __( 'Check out now the functions of Enwikuna Helper 🎉', 'enwikuna-helper' ) ); ?></p>
		</div>
	</div>
</div>
